Name:          qtscriptgenerator
Version:       0.2.0
Release:       %mkrel 3
Summary:       A tool to generate Qt bindings for Qt Script    
Group:         System/Libraries
License:       GPLv2
URL:           http://code.google.com/p/qtscriptgenerator/ 
Source0:       http://qtscriptgenerator.googlecode.com/files/qtscriptgenerator-src-%{version}.tar.gz   
Patch0:        qtscriptgenerator-src-0.1.0-fix-strings.patch
Patch1:        include_everything.patch
Patch2:        qtscriptgenerator-src-0.1.0-fix-build.patch
BuildRequires: libxslt-proc
BuildRequires: phonon-devel >= 4.3.1
BuildRequires: qt4-devel >= 4:4.5.0
BuildRequires: pkgconfig(QtWebKit) >= 4.5.0

# not strictly required, but the expectation would be for the 
# bindings to be present
Requires:      qtscriptbindings = %{version}-%{release}

%description
Qt Script Generator is a tool to generate Qt bindings for Qt Script.

%files
%{qt4bin}/generator

#--------------------------------------------------------------------

%package -n qtscriptbindings 
Summary:    Qt bindings for Qt Script
Group:      System/Libraries
Provides:   qtscript-qt = %{version}-%{release}
Requires:   qt4-common

%description -n qtscriptbindings
Bindings providing access to substantial portions of the Qt API
from within Qt Script.

%files -n qtscriptbindings
%{_bindir}/qsexec
%{qt4plugins}/script/libqtscript*

#--------------------------------------------------------------------

%package doc
Summary:    Documentation for %name
Group:      Documentation
Conflicts:  qtscriptbindings < 0.1.0-8.mga1
BuildArch:  noarch

%description doc
Documentation for %name

%files doc
%doc README
%doc README.qsexec
%doc doc/
%doc examples/

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0
%build

# workaround buildsys bogosity, see also:
# http://code.google.com/p/qtscriptgenerator/issues/detail?id=38
export INCLUDE=%{qt4include}

pushd generator 
%{qmake_qt4} generator.pro
make
./generator
popd

pushd qtbindings
%{qmake_qt4} qtbindings.pro
%make
popd
 
pushd tools/qsexec/src
%{qmake_qt4} qsexec.pro
%make
popd


%install
mkdir -p %{buildroot}%{qt4plugins}/script/
# install doesn't do symlinks
cp -a plugins/script/libqtscript* \
  %{buildroot}%{qt4plugins}/script/

cp -a tools/qsexec/README.TXT README.qsexec
install -D -p -m755 tools/qsexec/qsexec %{buildroot}%{_bindir}/qsexec

install -D -p -m755 generator/generator %{buildroot}%{qt4bin}/generator


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 380053
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.2.0-2.mga3
+ Revision: 316359
- update rpm group

* Tue Jun 19 2012 fwang <fwang> 0.2.0-1.mga3
+ Revision: 261879
- update file list
- new version 0.2.0

* Sun Dec 18 2011 fwang <fwang> 0.1.0-10.mga2
+ Revision: 183610
- br qtwebkit

  + ahmad <ahmad>
    - Use the current qt4 Epoch in the qt4-devel BR
    - Make the -doc sub-package noarch

* Sun May 22 2011 dmorgan <dmorgan> 0.1.0-8.mga1
+ Revision: 100154
- Add doc subpackage

* Mon Jan 24 2011 ahmad <ahmad> 0.1.0-7.mga1
+ Revision: 35816
- imported package qtscriptgenerator

